Use 'webdrivers' gem to manage the Chrome driver for system tests

2021-01-09 12:55 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 4.2.0   

Description

Currently, we need to manually install Chrome and Chromedriver in order to run the system tests.

We can improve this by using the Webdrivers gem which automatically downloads/updates the Chrome driver depending on your

installed Chrome version. The gem supports other drivers as well: Firefox, Edge, etc.

Associated revisions

Revision 20742 - 2021-02-08 07:42 - Go MAEDA

Add 'webdrivers' gem to manage Chromedriver installation (#34579).

Patch by Marius BALTEANU.

History

#1 - 2021-01-10 03:45 - Go MAEDA

+1 nice improvement!

#2 - 2021-01-10 03:45 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2021-01-24 22:14 - Marius BĂLTEANU

- Target version changed from Candidate for next major release to 4.2.0

#4 - 2021-02-08 07:42 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you.
